Load Balancer

Update Listener

patch/loadbalancer/{lb_uuid}/listeners/{listener_uuid}

Update a listener.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

lb_uuid*string
listener_uuid*string

Request body

Update a listener

application/jsonRequired
name?string | null
Range1 ≤ length ≤ 100
target_port?integer | null
Range1 ≤ value ≤ 65535
ssl_certificate_uuid?string | null
ssl_mode?string | null
Value in"auto""custom""none"
algorithm?LoadBalancerAlgorithm | null
Value in"round_robin""least_connections"
connection_timeout?integer | null
Range1 ≤ value ≤ 300
request_timeout?integer | null
Range1 ≤ value ≤ 600
sticky_sessions?boolean | null
sticky_cookie_name?string | null
Rangelength ≤ 100
sticky_ttl_seconds?integer | null
Range60 ≤ value ≤ 86400
enabled?boolean | null

Responses

Successful Response

application/json

detail*string
uuid*string